### Signal

# WebKit2 Download::decide-destination

#### Declaration

    gboolean
    decide_destination (
      WebKitDownload* self,
      gchar* suggested_filename,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after response is received to decide a destination URI for the download. If this signal is not handled the file will be downloaded to `G_USER_DIRECTORY_DOWNLOAD` directory using `suggested_filename`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`suggested_filename` | `gchar*`
| The filename suggested for the download.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.